org.apache.maven.scm.manager.plexus

## Class DefaultScmManager

- java.lang.Object
- - org.apache.maven.scm.manager.AbstractScmManager
  - - org.apache.maven.scm.manager.plexus.DefaultScmManager

- All Implemented Interfaces:
    ScmManager, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable

      public class DefaultScmManager
      extends AbstractScmManager
      implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.codehaus.plexus.logging.LogEnabled

  Version:
    $Id: DefaultScmManager.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Trygve Laugstøl, Brett Porter, Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.manager.ScmManager

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultScmManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableLogging(org.codehaus.plexus.logging.Logger logger)`
    `protected org.codehaus.plexus.logging.Logger` | `getLogger()`
    `protected ScmLogger` | `getScmLogger()`
    `void` | `initialize()`
    `protected void` | `setupLogger(Object component)`
    `protected void` | `setupLogger(Object component, org.codehaus.plexus.logging.Logger logger)`
    `protected void` | `setupLogger(Object component, String subCategory)`

    - ### Methods inherited from class org.apache.maven.scm.manager.AbstractScmManager

      `add, add, addScmProvider, branch, branch, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, cleanScmUrl, diff, edit, export, export, export, export, getProviderByRepository, getProviderByType, getProviderByUrl, list, makeProviderScmRepository, makeScmRepository, remove, setScmProvider, setScmProviderImplementation, setScmProviders, status, tag, tag, unedit, update, update, update, update, update, update, update, update, update, update, validateScmRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultScmManager

          public DefaultScmManager()

  - ### Method Detail

    - #### enableLogging

          public void enableLogging(org.codehaus.plexus.logging.Logger logger)

      Specified by:
        `enableLogging` in interface `org.codehaus.plexus.logging.LogEnabled`

    - #### getLogger

          protected org.codehaus.plexus.logging.Logger getLogger()

    - #### setupLogger

          protected void setupLogger(Object component)

    - #### setupLogger

          protected void setupLogger(Object component,
                         String subCategory)

    - #### setupLogger

          protected void setupLogger(Object component,
                         org.codehaus.plexus.logging.Logger logger)

    - #### initialize

          public void initialize()

      Specified by:
        `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`

    - #### getScmLogger

          protected ScmLogger getScmLogger()

      Specified by:
        `getScmLogger` in class `AbstractScmManager`

Copyright © 2003–2015. All rights reserved.